## zint 2.8.0

=== CMakeLists.txt ===
# (c) 2008 by BogDan Vatra < bogdan@licentia.eu >

cmake_minimum_required(VERSION 2.6)
project(zint-package)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

#set(CMAKE_VERBOSE_MAKEFILE ON)
#comment or remove the above line before release

set (ZINT_VERSION_MAJOR 2)
set (ZINT_VERSION_MINOR 8)
set (ZINT_VERSION_RELEASE 0)
set (ZINT_VERSION "${ZINT_VERSION_MAJOR}.${ZINT_VERSION_MINOR}.${ZINT_VERSION_RELEASE}" )

add_definitions (-DZINT_VERSION=\"${ZINT_VERSION}\" -Wall)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )

set(ZINT_DEBUG FALSE CACHE BOOL "Set debug compile flag")
set(ZINT_SANITIZE FALSE CACHE BOOL "Set sanitize compile/link flags")
set(ZINT_TEST FALSE CACHE BOOL "Set test compile flag")
set(ZINT_STATIC FALSE CACHE BOOL "Build static library")

include (SetPaths.cmake)

INCLUDE (CheckCXXCompilerFlag)

if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUCC)
    check_cxx_compiler_flag("-Wall" CXX_COMPILER_FLAG_WALL)
    if (CXX_COMPILER_FLAG_WALL)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
    endif (CXX_COMPILER_FLAG_WALL)
    if (ZINT_DEBUG)
        add_compile_options("-g")
        add_compile_options("-O0")
    endif (ZINT_DEBUG)
    if (ZINT_SANITIZE)
        add_compile_options("-fsanitize=undefined")
        add_compile_options("-fsanitize=address")
        set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=undefined -fsanitize=address")
    endif (ZINT_SANITIZE)
    if (ZINT_TEST)
        add_definitions("-DZINT_TEST")
    endif (ZINT_TEST)
endif (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_GNUCC)


IF(APPLE)
    IF (UNIVERSAL) # TODO: make univeral binary
        IF(NOT ZINT_HAS_BEEN_RUN_BEFORE and UNIVERAL)
            IF(EXISTS /Developer/SDKs/MacOSX10.5.sdk OR EXISTS /SDKs/MacOSX10.5.sdk)
                SET(CMAKE_OSX_ARCHITECTURES "ppc;i386;ppc64;x86_64" CACHE STRING "Build architectures for OSX" FORCE)
                SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden -Wl -single_module " CACHE STRING "Flags used by the compiler during all build types." FORCE)
            ELSE(EXISTS /Developer/SDKs/MacOSX10.5.sdk OR EXISTS /SDKs/MacOSX10.5.sdk)
                IF(EXISTS /Developer/SDKs/MacOSX10.4u.sdk OR EXISTS /SDKs/MacOSX10.4u.sdk)
                    SET(CMAKE_OSX_ARCHITECTURES "ppc;i386" CACHE STRING "Build architectures for OSX" FORCE)
                    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden -Wl -single_module " CACHE STRING "Flags used by the compiler during all build types." FORCE)
               ENDIF(EXISTS /Developer/SDKs/MacOSX10.4u.sdk OR EXISTS /SDKs/MacOSX10.4u.sdk)
            ENDIF(EXISTS /Developer/SDKs/MacOSX10.5.sdk OR EXISTS /SDKs/MacOSX10.5.sdk)
            message("Build architectures for OSX:${CMAKE_OSX_ARCHITECTURES}")
        ENDIF(NOT ZINT_HAS_BEEN_RUN_BEFORE)

    ELSE (UNIVERSAL)
        SET(CMAKE_OSX_SYSROOT "/")
    ENDIF (UNIVERSAL)

    IF (PNG_FOUND)
         INCLUDE_DIRECTORIES(
            "${PNG_INCLUDE_DIR}"
         )
        SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lpng")
        SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lpng")
        SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -lpng")
    ENDIF (PNG_FOUND)

ENDIF(APPLE)

add_subdirectory(backend)
add_subdirectory(frontend)

find_package(Qt5Widgets)
find_package(Qt5Gui)
find_package(Qt5UiTools)

if (Qt5Widgets_FOUND)
    if (Qt5Gui_FOUND)
        if (Qt5UiTools_FOUND)
            set( QT_USE_QTGUI   TRUE )
            set( QT_USE_QTUITOOLS TRUE )
            set( QT_USE_QTXML TRUE )
            include_directories(
                ${CMAKE_CURRENT_SOURCE_DIR}
                ${Qt5Widgets_INCLUDES}
                ${Qt5Gui_INCLUDES}
                ${Qt5UiTools_INCLUDES}
                ${CMAKE_CURRENT_BINARY_DIR}
                )
            add_subdirectory(backend_qt)
            add_subdirectory(frontend_qt)
        endif(Qt5UiTools_FOUND)
    endif(Qt5Gui_FOUND)
endif(Qt5Widgets_FOUND)

CONFIGURE_FILE(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

ADD_CUSTOM_TARGET(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

# staniek: don't install 
if (DATA_INSTALL_DIR)
    set(CMAKE_MODULES_INSTALL_PATH ${DATA_INSTALL_DIR}/cmake/modules)
else (DATA_INSTALL_DIR)
    set(CMAKE_MODULES_INSTALL_PATH ${CMAKE_ROOT}/Modules)
endif(DATA_INSTALL_DIR)

install(FILES cmake/modules/FindZint.cmake DESTINATION ${CMAKE_MODULES_INSTALL_PATH} COMPONENT Devel)

# This needs to be run very last so other parts of the scripts can take
# advantage of this.
IF(NOT ZINT_HAS_BEEN_RUN_BEFORE)
    SET(ZINT_HAS_BEEN_RUN_BEFORE 1 CACHE INTERNAL "Flag to track whether this is the first time running CMake or if CMake has been configured before")
ENDIF(NOT ZINT_HAS_BEEN_RUN_BEFORE)

=== backend/CMakeLists.txt ===
# (c) 2008 by BogDan Vatra < bogdan@licentia.eu >

project(zint)

find_package(PNG)

set(zint_COMMON_SRCS common.c library.c large.c reedsol.c gs1.c eci.c general_field.c sjis.c gb2312.c gb18030.c)
set(zint_ONEDIM_SRCS code.c code128.c 2of5.c upcean.c telepen.c medical.c plessey.c rss.c)
set(zint_POSTAL_SRCS postal.c auspost.c imail.c mailmark.c)
set(zint_TWODIM_SRCS code16k.c codablock.c dmatrix.c pdf417.c qr.c maxicode.c composite.c aztec.c code49.c code1.c gridmtx.c hanxin.c dotcode.c ultra.c)
set(zint_OUTPUT_SRCS vector.c ps.c svg.c emf.c bmp.c pcx.c gif.c png.c tif.c raster.c)
set(zint_SRCS ${zint_OUTPUT_SRCS} ${zint_COMMON_SRCS} ${zint_ONEDIM_SRCS} ${zint_POSTAL_SRCS} ${zint_TWODIM_SRCS})

if(PNG_FOUND)
    include_directories( ${PNG_INCLUDES} )
else(PNG_FOUND)
    add_definitions (-DNO_PNG)
endif(PNG_FOUND)

add_library(zint SHARED ${zint_SRCS})
if(ZINT_STATIC)
	add_library(zint-static STATIC ${zint_SRCS})
endif(ZINT_STATIC)

set_target_properties(zint PROPERTIES 	SOVERSION "${ZINT_VERSION_MAJOR}.${ZINT_VERSION_MINOR}"
					VERSION ${ZINT_VERSION})

if(PNG_FOUND)
    target_link_libraries(zint ${PNG_LIBRARIES} )
endif(PNG_FOUND)
if(NOT MSVC)
  # Link with standard C math library.
  target_link_libraries(zint m)
endif(NOT MSVC)

if(MSVC)
  # "BUILD_SHARED_LIBS" is a CMake defined variable, see documentation.
  if(BUILD_SHARED_LIBS)
    add_definitions("-DDLL_EXPORT")
  endif(BUILD_SHARED_LIBS)
endif(MSVC)

install(TARGETS zint  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES zint.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== frontend_qt/CMakeLists.txt ===
# (c) 2008 by BogDan Vatra < bogdan@licentia.eu >

project(zint-qt)

include_directories(BEFORE "${CMAKE_SOURCE_DIR}/backend"  "${CMAKE_SOURCE_DIR}/backend_qt")

set(zint-qt_SRCS barcodeitem.cpp  main.cpp  mainwindow.cpp datawindow.cpp sequencewindow.cpp exportwindow.cpp)
QT5_WRAP_CPP(zint-qt_SRCS mainwindow.h datawindow.h sequencewindow.h exportwindow.h)

QT5_WRAP_UI(zint-qt_SRCS mainWindow.ui extData.ui extSequence.ui extExport.ui)
#				grpAztec.ui  grpC39.ui        grpDM.ui        grpMSICheck.ui
#				grpC128.ui   grpChannel.ui    grpMicroPDF.ui  grpPDF417.ui
#				grpC16k.ui   grpCodablock.ui  grpMQR.ui       grpQR.ui
#				grpMaxicode.ui)

QT5_ADD_RESOURCES(zint-qt_SRCS resources.qrc)

add_executable(zint-qt ${zint-qt_SRCS})
add_dependencies(zint-qt QZint zint)

link_directories( "${CMAKE_BINARY_DIR}/backend" "${CMAKE_BINARY_DIR}/backend_qt" )

target_link_libraries(zint-qt zint QZint Qt5::UiTools ${QT_QTXML_LIBRARY} Qt5::Gui Qt5::Core )

install(TARGETS zint-qt DESTINATION "${BIN_INSTALL_DIR}" RUNTIME)

=== backend/tests/CMakeLists.txt ===
# Copyright (C) 2019 - 2020 Robin Stuart <rstuart114@gmail.com>
# Adapted from qrencode/tests/CMakeLists.txt
# Copyright (C) 2006-2017 Kentaro Fukuchi <kentaro@fukuchi.org>

cmake_minimum_required (VERSION 3.9)

enable_testing()

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

set(ZINT_DEBUG FALSE CACHE BOOL "Set debug compile flag")
set(ZINT_SANITIZE FALSE CACHE BOOL "Set sanitize compile/link flags")
set(ZINT_TEST FALSE CACHE BOOL "Set test compile flag")

find_package (LibZint 2.7.1 REQUIRED)
find_package(PNG)

if (PNG_FOUND)
    include_directories(${PNG_INCLUDES})
else (PNG_FOUND)
    add_definitions(-DNO_PNG)
endif (PNG_FOUND)

if (${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
    if (ZINT_DEBUG)
        add_compile_options("-g")
    endif (ZINT_DEBUG)
    if (ZINT_SANITIZE)
        add_compile_options("-fsanitize=undefined")
        add_compile_options("-fsanitize=address")
        set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=undefined -fsanitize=address")
    endif (ZINT_SANITIZE)
    if (ZINT_TEST)
        add_definitions("-DZINT_TEST")
    endif (ZINT_TEST)
endif ()

add_library(testcommon
    testcommon.c testcommon.h)
if (PNG_FOUND)
    target_link_libraries(testcommon ZINT::ZINT ${PNG_LIBRARIES})
else (PNG_FOUND)
    target_link_libraries(testcommon ZINT::ZINT)
endif (PNG_FOUND)

macro(zint_add_test test_name test_command)
    set(ADDITIONAL_LIBS "${ARGN}" ${LIBRARY_FLAGS})
    add_executable(${test_command} ${test_command}.c)
    target_link_libraries(${test_command} testcommon ${ADDITIONAL_LIBS})
    add_test(${test_name} ${test_command})
endmacro(zint_add_test)

zint_add_test(auspost, test_auspost)
zint_add_test(aztec, test_aztec)
zint_add_test(channel, test_channel)
zint_add_test(codablock, test_codablock)
zint_add_test(code1, test_code1)
zint_add_test(code128, test_code128)
zint_add_test(common, test_common)
zint_add_test(composite, test_composite)
zint_add_test(dmatrix, test_dmatrix)
zint_add_test(dotcode, test_dotcode)
zint_add_test(eci, test_eci)
zint_add_test(gb18030, test_gb18030)
zint_add_test(gb2312, test_gb2312)
zint_add_test(gridmtx, test_gridmtx)
zint_add_test(gs1, test_gs1)
zint_add_test(hanxin, test_hanxin)
zint_add_test(imail, test_imail)
zint_add_test(library, test_library)
zint_add_test(mailmark, test_mailmark)
zint_add_test(maxicode, test_maxicode)
zint_add_test(pcx, test_pcx)
zint_add_test(pdf417, test_pdf417)
zint_add_test(png, test_png)
zint_add_test(postal, test_postal)
zint_add_test(print, test_print)
zint_add_test(qr, test_qr)
zint_add_test(raster, test_raster)
zint_add_test(rss, test_rss)
zint_add_test(sjis, test_sjis)
zint_add_test(svg, test_svg)
zint_add_test(telepen, test_telepen)
zint_add_test(ultra, test_ultra)
zint_add_test(upcean, test_upcean)
zint_add_test(vector, test_vector)

=== debian/changelog ===
zint (2.8.0-1) unstable; urgency=low

  * Initial release (Closes: #732141).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 17 May 2020 23:28:08 +1000

=== debian/control ===
Source: zint
Section: graphics
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>
Build-Depends: debhelper-compat (= 12)
    ,cmake
    ,libpng-dev
    ,qtbase5-dev
    ,qttools5-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/zint
Vcs-Git: https://salsa.debian.org/debian/zint.git
Homepage: https://sourceforge.net/projects/zint/
Rules-Requires-Root: no

Package: zint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: command line utility to encode data in barcode symbols
 Zint is a barcode encoding and image generating library. It currently
 features support for over 50 symbologies including Australian Post
 4-state codes (redirect, reply-paid, routing, standard customer),
 Aztec Code (ISO 24778), Aztec Runes, Channel code, Codabar, Code 11,
 Code 128 (ISO 15417), Code 16k, Code 2 of 5 (Data Logic, IATA,
 Industrial, Interleaved, Matrix), Code 32 (Italian Pharmacode), Code
 39 (ISO 16388), Code 39 Extended, Code 49, Code 93, Code One, Databar
 (Expanded, Expanded Stacked, Limited, Stacked Omnidirectional), Data
 Matrix (ISO 16022), Deutsche Post (Identicode, Leitcode), Dutch Post
 KIX, EAN-14, European Article Number (EAN), Facing Identification
 Mark (FIM), Flattermarken, Grid Matrix, ITF-14, International Standard
 Book Number (ISBN), Japanese Postal Barcode, Korean Postal Barcode,
 LOGMARS, Maxicode (ISO 16023), MicroPDF417 (ISO 24728), Micro QR
 Code, MSI Plessey, NVE-18, PDF417 (ISO 15438), Pharmacode (2-track,
 Zentralnummer (PZN)), PLANET, Postnet, QR Code (ISO 18004), Royal
 Mail 4-state Barcode, Telepen, Telepen Numeric, UK Plessey, Universal
 Product Code (UPC-A, UPC-E), USPS Intelligent Mail as well as HIBC.
 .
 Also included are Unicode translation for symbologies which support
 Latin-1 and Kanji character sets, full GS1 data support including
 verification and automated insertion of FNC1 characters and support for
 encoding binary data including NULL (ASCII 0) characters.
 .
 This package contains Zint Barcode Generator (command-line utility).

Package: zint-qt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Zint Barcode Studio, a QT frontend to zint
 Zint is a barcode encoding and image generating library. It currently
 features support for over 50 symbologies including Australian Post
 4-state codes (redirect, reply-paid, routing, standard customer),
 Aztec Code (ISO 24778), Aztec Runes, Channel code, Codabar, Code 11,
 Code 128 (ISO 15417), Code 16k, Code 2 of 5 (Data Logic, IATA,
 Industrial, Interleaved, Matrix), Code 32 (Italian Pharmacode), Code
 39 (ISO 16388), Code 39 Extended, Code 49, Code 93, Code One, Databar
 (Expanded, Expanded Stacked, Limited, Stacked Omnidirectional), Data
 Matrix (ISO 16022), Deutsche Post (Identicode, Leitcode), Dutch Post
 KIX, EAN-14, European Article Number (EAN), Facing Identification
 Mark (FIM), Flattermarken, Grid Matrix, ITF-14, International Standard
 Book Number (ISBN), Japanese Postal Barcode, Korean Postal Barcode,
 LOGMARS, Maxicode (ISO 16023), MicroPDF417 (ISO 24728), Micro QR
 Code, MSI Plessey, NVE-18, PDF417 (ISO 15438), Pharmacode (2-track,
 Zentralnummer (PZN)), PLANET, Postnet, QR Code (ISO 18004), Royal
 Mail 4-state Barcode, Telepen, Telepen Numeric, UK Plessey, Universal
 Product Code (UPC-A, UPC-E), USPS Intelligent Mail as well as HIBC.
 .
 Also included are Unicode translation for symbologies which support
 Latin-1 and Kanji character sets, full GS1 data support including
 verification and automated insertion of FNC1 characters and support for
 encoding binary data including NULL (ASCII 0) characters.
 .
 This package contains Zint Barcode Studio, a QT frontend for the Zint
 barcode encoding library.

Package: libzint2.8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for encoding data in barcode symbols
 Zint is a barcode encoding and image generating library. It currently
 features support for over 50 symbologies including Australian Post
 4-state codes (redirect, reply-paid, routing, standard customer),
 Aztec Code (ISO 24778), Aztec Runes, Channel code, Codabar, Code 11,
 Code 128 (ISO 15417), Code 16k, Code 2 of 5 (Data Logic, IATA,
 Industrial, Interleaved, Matrix), Code 32 (Italian Pharmacode), Code
 39 (ISO 16388), Code 39 Extended, Code 49, Code 93, Code One, Databar
 (Expanded, Expanded Stacked, Limited, Stacked Omnidirectional), Data
 Matrix (ISO 16022), Deutsche Post (Identicode, Leitcode), Dutch Post
 KIX, EAN-14, European Article Number (EAN), Facing Identification
 Mark (FIM), Flattermarken, Grid Matrix, ITF-14, International Standard
 Book Number (ISBN), Japanese Postal Barcode, Korean Postal Barcode,
 LOGMARS, Maxicode (ISO 16023), MicroPDF417 (ISO 24728), Micro QR
 Code, MSI Plessey, NVE-18, PDF417 (ISO 15438), Pharmacode (2-track,
 Zentralnummer (PZN)), PLANET, Postnet, QR Code (ISO 18004), Royal
 Mail 4-state Barcode, Telepen, Telepen Numeric, UK Plessey, Universal
 Product Code (UPC-A, UPC-E), USPS Intelligent Mail as well as HIBC.
 .
 Also included are Unicode translation for symbologies which support
 Latin-1 and Kanji character sets, full GS1 data support including
 verification and automated insertion of FNC1 characters and support for
 encoding binary data including NULL (ASCII 0) characters.
 .
 This package provides barcode generator library.

Package: libzint-dev
Section: libdevel
Architecture: any
Depends: libzint2.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Zint development files
 Zint is a barcode encoding and image generating library. It currently
 features support for over 50 symbologies including Australian Post
 4-state codes (redirect, reply-paid, routing, standard customer),
 Aztec Code (ISO 24778), Aztec Runes, Channel code, Codabar, Code 11,
 Code 128 (ISO 15417), Code 16k, Code 2 of 5 (Data Logic, IATA,
 Industrial, Interleaved, Matrix), Code 32 (Italian Pharmacode), Code
 39 (ISO 16388), Code 39 Extended, Code 49, Code 93, Code One, Databar
 (Expanded, Expanded Stacked, Limited, Stacked Omnidirectional), Data
 Matrix (ISO 16022), Deutsche Post (Identicode, Leitcode), Dutch Post
 KIX, EAN-14, European Article Number (EAN), Facing Identification
 Mark (FIM), Flattermarken, Grid Matrix, ITF-14, International Standard
 Book Number (ISBN), Japanese Postal Barcode, Korean Postal Barcode,
 LOGMARS, Maxicode (ISO 16023), MicroPDF417 (ISO 24728), Micro QR
 Code, MSI Plessey, NVE-18, PDF417 (ISO 15438), Pharmacode (2-track,
 Zentralnummer (PZN)), PLANET, Postnet, QR Code (ISO 18004), Royal
 Mail 4-state Barcode, Telepen, Telepen Numeric, UK Plessey, Universal
 Product Code (UPC-A, UPC-E), USPS Intelligent Mail as well as HIBC.
 .
 Also included are Unicode translation for symbologies which support
 Latin-1 and Kanji character sets, full GS1 data support including
 verification and automated insertion of FNC1 characters and support for
 encoding binary data including NULL (ASCII 0) characters.
 .
 This package contains development files for the Zint barcode encoding
 library and for the Qt wrapper over the Zint library.

=== debian/watch ===
version=3

## http://qa.debian.org/watch/sf.php/zint

https://sf.net/zint/zint-(\d[-\d.]+)(?:\.src)?\.tar\.(?:gz|bz2|xz)

## zint 2.9.0

=== debian/changelog ===
zint (2.9.0-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 17 Oct 2020 09:26:26 +1100

=== debian/control ===
--- 
+++ 
@@ -73,7 +73,7 @@
  This package contains Zint Barcode Studio, a QT frontend for the Zint
  barcode encoding library.
 
-Package: libzint2.8
+Package: libzint2.9
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -106,7 +106,7 @@
 Package: libzint-dev
 Section: libdevel
 Architecture: any
-Depends: libzint2.8 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libzint2.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Zint development files
  Zint is a barcode encoding and image generating library. It currently
  features support for over 50 symbologies including Australian Post

## zint 2.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,7 @@
 #comment or remove the above line before release
 
 set (ZINT_VERSION_MAJOR 2)
-set (ZINT_VERSION_MINOR 8)
+set (ZINT_VERSION_MINOR 9)
 set (ZINT_VERSION_RELEASE 0)
 set (ZINT_VERSION "${ZINT_VERSION_MAJOR}.${ZINT_VERSION_MINOR}.${ZINT_VERSION_RELEASE}" )

=== backend/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(zint_ONEDIM_SRCS code.c code128.c 2of5.c upcean.c telepen.c medical.c plessey.c rss.c)
 set(zint_POSTAL_SRCS postal.c auspost.c imail.c mailmark.c)
 set(zint_TWODIM_SRCS code16k.c codablock.c dmatrix.c pdf417.c qr.c maxicode.c composite.c aztec.c code49.c code1.c gridmtx.c hanxin.c dotcode.c ultra.c)
-set(zint_OUTPUT_SRCS vector.c ps.c svg.c emf.c bmp.c pcx.c gif.c png.c tif.c raster.c)
+set(zint_OUTPUT_SRCS vector.c ps.c svg.c emf.c bmp.c pcx.c gif.c png.c tif.c raster.c output.c)
 set(zint_SRCS ${zint_OUTPUT_SRCS} ${zint_COMMON_SRCS} ${zint_ONEDIM_SRCS} ${zint_POSTAL_SRCS} ${zint_TWODIM_SRCS})
 
 if(PNG_FOUND)

=== backend_qt/CMakeLists.txt ===
# (c) 2008 by BogDan Vatra < bogdan@licentia.eu >

project(QZint)

include_directories(BEFORE "${CMAKE_SOURCE_DIR}/backend" )

set(QZint_SRCS qzint.cpp)

add_library(QZint SHARED ${QZint_SRCS})

set_target_properties(QZint PROPERTIES	SOVERSION "${ZINT_VERSION_MAJOR}.${ZINT_VERSION_MINOR}"
                                        VERSION ${ZINT_VERSION})

add_dependencies(QZint zint)

link_directories( "${CMAKE_BINARY_DIR}/backend" )

target_link_libraries(QZint zint Qt5::Widgets Qt5::Gui )

install(TARGETS QZint  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install(FILES qzint.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== frontend/CMakeLists.txt ===
# (c) 2008 by BogDan Vatra < bogdan@licentia.eu >

project(zint_frontend)

set(zint_frontend_SRCS main.c )

include_directories(BEFORE "${CMAKE_SOURCE_DIR}/backend")

add_executable(zint_frontend ${zint_frontend_SRCS})

set_target_properties(zint_frontend PROPERTIES   OUTPUT_NAME "zint")

add_dependencies(zint_frontend zint)

link_directories( "${CMAKE_BINARY_DIR}/backend" )

target_link_libraries(zint_frontend zint)

install(TARGETS zint_frontend DESTINATION "${BIN_INSTALL_DIR}" RUNTIME)

=== frontend_qt/CMakeLists.txt ===
--- 
+++ 
@@ -8,10 +8,11 @@
 QT5_WRAP_CPP(zint-qt_SRCS mainwindow.h datawindow.h sequencewindow.h exportwindow.h)
 
 QT5_WRAP_UI(zint-qt_SRCS mainWindow.ui extData.ui extSequence.ui extExport.ui)
-#				grpAztec.ui  grpC39.ui        grpDM.ui        grpMSICheck.ui
-#				grpC128.ui   grpChannel.ui    grpMicroPDF.ui  grpPDF417.ui
-#				grpC16k.ui   grpCodablock.ui  grpMQR.ui       grpQR.ui
-#				grpMaxicode.ui)
+#               grpAztec.ui  grpC49.ui         grpDBExtend.ui  grpLOGMARS.ui   grpPDF417.ui  grpUPCA.ui
+#               grpC11.ui    grpChannel.ui     grpDM.ui        grpMaxicode.ui  grpPZN.ui     grpUPCEAN.ui
+#               grpC128.ui   grpCodabar.ui     grpDotCode.ui   grpMicroPDF.ui  grpQR.ui      grpVIN.ui
+#               grpC16k.ui   grpCodablockF.ui  grpGrid.ui      grpMQR.ui       grpRMQR.ui
+#               grpC39.ui    grpCodeOne.ui     grpHX.ui        grpMSICheck.ui  grpUltra.ui
 
 QT5_ADD_RESOURCES(zint-qt_SRCS resources.qrc)

=== backend/tests/CMakeLists.txt ===
# Copyright (C) 2019 - 2020 Robin Stuart <rstuart114@gmail.com>
# Adapted from qrencode/tests/CMakeLists.txt
# Copyright (C) 2006-2017 Kentaro Fukuchi <kentaro@fukuchi.org>
# vim: set ts=4 sw=4 et :

cmake_minimum_required(VERSION 3.9)

enable_testing()

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

set(ZINT_DEBUG FALSE CACHE BOOL "Set debug compile flag")
set(ZINT_SANITIZE FALSE CACHE BOOL "Set sanitize compile/link flags")
set(ZINT_TEST FALSE CACHE BOOL "Set test compile flag")

find_package(LibZint 2.7.1 REQUIRED)
find_package(PNG)

if(PNG_FOUND)
    include_directories(${PNG_INCLUDES})
else()
    add_definitions(-DNO_PNG)
endif()

set(BWIPP_TAR ${CMAKE_CURRENT_SOURCE_DIR}/tools/bwipp_dump.ps.tar.xz)
set(BWIPP_PS ${CMAKE_CURRENT_SOURCE_DIR}/tools/bwipp_dump.ps)

if(NOT EXISTS ${BWIPP_PS})
    execute_process(COMMAND ${CMAKE_COMMAND} -E tar -xf ${BWIPP_TAR}
                    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/tools)
endif()

if(${CMAKE_CXX_COMPILER_ID} STREQUAL "GNU")
    if(ZINT_DEBUG)
        add_compile_options("-g")
    endif()
    if(ZINT_SANITIZE)
        add_compile_options("-fsanitize=undefined")
        add_compile_options("-fsanitize=address")
        set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=undefined -fsanitize=address")
    endif()
    if(ZINT_TEST)
        add_definitions("-DZINT_TEST")
    endif()
endif()

add_library(testcommon testcommon.c testcommon.h)
if(PNG_FOUND)
    target_link_libraries(testcommon ZINT::ZINT ${PNG_LIBRARIES})
else()
    target_link_libraries(testcommon ZINT::ZINT)
endif()

macro(zint_add_test test_name test_command)
    set(ADDITIONAL_LIBS "${ARGN}" ${LIBRARY_FLAGS})
    add_executable(${test_command} ${test_command}.c)
    target_link_libraries(${test_command} testcommon ${ADDITIONAL_LIBS})
    add_test(${test_name} ${test_command})
endmacro()

zint_add_test(2of5, test_2of5)
zint_add_test(auspost, test_auspost)
zint_add_test(aztec, test_aztec)
zint_add_test(bmp, test_bmp)
zint_add_test(channel, test_channel)
zint_add_test(codablock, test_codablock)
zint_add_test(code, test_code)
zint_add_test(code1, test_code1)
zint_add_test(code128, test_code128)
zint_add_test(code16k, test_code16k)
zint_add_test(code49, test_code49)
zint_add_test(common, test_common)
zint_add_test(composite, test_composite)
zint_add_test(dmatrix, test_dmatrix)
zint_add_test(dotcode, test_dotcode)
zint_add_test(eci, test_eci)
zint_add_test(emf, test_emf)
zint_add_test(gb18030, test_gb18030)
zint_add_test(gb2312, test_gb2312)
zint_add_test(gif, test_gif)
zint_add_test(gridmtx, test_gridmtx)
zint_add_test(gs1, test_gs1)
zint_add_test(hanxin, test_hanxin)
zint_add_test(imail, test_imail)
zint_add_test(large, test_large)
zint_add_test(library, test_library)
zint_add_test(mailmark, test_mailmark)
zint_add_test(maxicode, test_maxicode)
zint_add_test(medical, test_medical)
zint_add_test(pcx, test_pcx)
zint_add_test(pdf417, test_pdf417)
zint_add_test(plessey, test_plessey)
zint_add_test(png, test_png)
zint_add_test(postal, test_postal)
zint_add_test(print, test_print)
zint_add_test(qr, test_qr)
zint_add_test(raster, test_raster)
zint_add_test(rss, test_rss)
zint_add_test(sjis, test_sjis)
zint_add_test(svg, test_svg)
zint_add_test(telepen, test_telepen)
zint_add_test(tif, test_tif)
zint_add_test(ultra, test_ultra)
zint_add_test(upcean, test_upcean)
zint_add_test(vector, test_vector)

=== debian/changelog ===
zint (2.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix stack-based buffer overflow in ean_leading_zeroes (see CVE-2021-
    27799) (Closes: #983610)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 11 Mar 2021 12:37:31 -0600

zint (2.9.1-1) unstable; urgency=medium

  * New upstream release (Closes: #975161)
  * Bump Standards-Version
  * Mark libzint-dev Multi-Arch: same

 -- Jakob Haufe <sur5r@debian.org>  Fri, 04 Dec 2020 18:14:26 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     ,libpng-dev
     ,qtbase5-dev
     ,qttools5-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/zint
 Vcs-Git: https://salsa.debian.org/debian/zint.git
 Homepage: https://sourceforge.net/projects/zint/
@@ -107,6 +107,7 @@
 Section: libdevel
 Architecture: any
 Depends: libzint2.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: Zint development files
  Zint is a barcode encoding and image generating library. It currently
  features support for over 50 symbologies including Australian Post

## zint 2.10.0

=== CMakeLists.txt ===
# Copyright (C) 2008 by BogDan Vatra < bogdan@licentia.eu >
# Copyright (C) 2009-2021 Robin Stuart <rstuart114@gmail.com>
# vim: set ts=4 sw=4 et :

cmake_minimum_required(VERSION 3.5)
project(zint-package)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(ZINT_VERSION_MAJOR 2)
set(ZINT_VERSION_MINOR 10)
set(ZINT_VERSION_RELEASE 0)
set(ZINT_VERSION_BUILD 0) # Set to 0 before release, set to 9 after release
set(ZINT_VERSION "${ZINT_VERSION_MAJOR}.${ZINT_VERSION_MINOR}.${ZINT_VERSION_RELEASE}.${ZINT_VERSION_BUILD}")

add_definitions(-DZINT_VERSION=\"${ZINT_VERSION}\")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

option(ZINT_DEBUG    "Set debug compile flags"         OFF)
option(ZINT_SANITIZE "Set sanitize compile/link flags" OFF)
option(ZINT_TEST     "Set test compile flag"           OFF)
option(ZINT_COVERAGE "Set code coverage flags"         OFF)
option(ZINT_STATIC   "Build static library"            OFF)
option(ZINT_USE_PNG  "Build with PNG support"          ON)
option(ZINT_USE_QT   "Build with QT support"           ON)

include(SetPaths.cmake)

include(CheckCXXCompilerFlag)
include(CheckFunctionExists)

if(NOT MSVC) # Use default warnings if MSVC otherwise inundated
    check_cxx_compiler_flag("-Wall" CXX_COMPILER_FLAG_WALL)
    if(CXX_COMPILER_FLAG_WALL)
        add_compile_options("-Wall")
    endif()

    check_cxx_compiler_flag("-Wextra" CXX_COMPILER_FLAG_WEXTRA)
    if(CXX_COMPILER_FLAG_WEXTRA)
        add_compile_options("-Wextra")
    endif()

    check_cxx_compiler_flag("-Wpedantic" CXX_COMPILER_FLAG_WPEDANTIC)
    if(CXX_COMPILER_FLAG_WPEDANTIC)
        add_compile_options("-Wpedantic")
    endif()
endif()

if(ZINT_DEBUG)
    check_cxx_compiler_flag("-g" CXX_COMPILER_FLAG_G)
    if(CXX_COMPILER_FLAG_G)
        add_compile_options("-g")
    endif()

    check_cxx_compiler_flag("-O0" CXX_COMPILER_FLAG_O0)
    if(CXX_COMPILER_FLAG_O0)
        add_compile_options("-O0")
    endif()
endif()

if(ZINT_TEST)
    enable_testing()
endif()

if(ZINT_COVERAGE)
    set(CMAKE_REQUIRED_LIBRARIES -fprofile-arcs)
    check_cxx_compiler_flag(--coverage CXX_COMPILER_FLAG_COVERAGE)
    unset(CMAKE_REQUIRED_LIBRARIES)
    if(CXX_COMPILER_FLAG_COVERAGE)
        add_compile_options(--coverage)
        link_libraries(-fprofile-arcs)

        check_cxx_compiler_flag(-O0 CXX_COMPILER_FLAG_O0)
        if(CXX_COMPILER_FLAG_O0)
            add_compile_options(-O0)
        endif()
    endif()
endif()

if(ZINT_SANITIZE)
    if(MSVC)
        if(MSVC_VERSION GREATER_EQUAL 1920)
            add_compile_options(-fsanitize=address)
            message(STATUS "ZINT_SANITIZE: setting -fsanitize=address for MSVC 2019")
        else()
            message(STATUS "ZINT_SANITIZE: ignoring for MSVC < 2019")
        endif()
    else()
        set(SANITIZERS address undefined)
        foreach(sanitizer IN ITEMS ${SANITIZERS})
            set(CMAKE_REQUIRED_LIBRARIES -fsanitize=${sanitizer})
            check_cxx_compiler_flag(-fsanitize=${sanitizer} CXX_COMPILER_FLAG_FSANITIZE_${sanitizer})
            if(CXX_COMPILER_FLAG_FSANITIZE_${sanitizer})
                add_compile_options(-fsanitize=${sanitizer})
                link_libraries(-fsanitize=${sanitizer})
            endif()
            unset(CMAKE_REQUIRED_LIBRARIES)
        endforeach()

        if(NOT ZINT_DEBUG AND CMAKE_CXX_COMPILER_ID MATCHES "GNU")
            # Gives warning on MainWindow::setupUI() and retries (& takes forever) if var-tracking-assignments enabled
            add_compile_options(-fno-var-tracking-assignments)
        endif()
    endif()
endif()

if(APPLE)
    if(UNIVERSAL) # TODO: make universal binary
        if(NOT ZINT_HAS_BEEN_RUN_BEFORE)
            if(EXISTS /Developer/SDKs/MacOSX10.5.sdk OR EXISTS /SDKs/MacOSX10.5.sdk)
                set(CMAKE_OSX_ARCHITECTURES "ppc;i386;ppc64;x86_64" CACHE STRING "Build architectures for OSX" FORCE)
                set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden -Wl -single_module " CACHE STRING
                    "Flags used by the compiler during all build types." FORCE)
            elseif(EXISTS /Developer/SDKs/MacOSX10.4u.sdk OR EXISTS /SDKs/MacOSX10.4u.sdk)
                set(CMAKE_OSX_ARCHITECTURES "ppc;i386" CACHE STRING "Build architectures for OSX" FORCE)
                set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden -Wl -single_module " CACHE STRING
                    "Flags used by the compiler during all build types." FORCE)
            endif()
            message("Build architectures for OSX:${CMAKE_OSX_ARCHITECTURES}")
        endif()
    else()
        set(CMAKE_OSX_SYSROOT "/")
    endif()
endif()

check_function_exists(getopt HAVE_GETOPT)
if(NOT HAVE_GETOPT)
    add_subdirectory(getopt)
endif()

add_subdirectory(backend)
add_subdirectory(frontend)

if(NOT ZINT_USE_QT)
    message(STATUS "Qt support was disabled for this build")
elseif($ENV{CMAKE_PREFIX_PATH} MATCHES "6[.][0-9][.][0-9]")
    set(USE_QT6 TRUE)
    message(STATUS "Using Qt6")
    cmake_policy(SET CMP0012 NEW) # Recognize constants in if()
    cmake_policy(SET CMP0072 NEW) # Choose OpenGL over legacy GL
    find_package(Qt6Widgets)
    find_package(Qt6Gui)
    find_package(Qt6UiTools)
    find_package(Qt6Xml)

    if(Qt6Widgets_FOUND AND Qt6Gui_FOUND AND Qt6UiTools_FOUND AND Qt6Xml_FOUND)
        message(STATUS "Qt version: " ${Qt6Core_VERSION_MAJOR}.${Qt6Core_VERSION_MINOR}.${Qt6Core_VERSION_PATCH})
        add_subdirectory(backend_qt)
        add_subdirectory(frontend_qt)
    else()
        message(STATUS "Could NOT find Qt6")
    endif()
else()
    message(STATUS "Using Qt5")
    find_package(Qt5Widgets)
    find_package(Qt5Gui)
    find_package(Qt5UiTools)
    find_package(Qt5Xml)

    if(Qt5Widgets_FOUND AND Qt5Gui_FOUND AND Qt5UiTools_FOUND AND Qt5Xml_FOUND)
        message(STATUS "Qt version: " ${Qt5Core_VERSION_STRING})
        # Old Qt does not provide QT_VERSION_MAJOR
        if (NOT QT_VERSION_MAJOR)
            string(SUBSTRING ${Qt5Core_VERSION_STRING} 0 1 QT_VERSION_MAJOR)
        endif()
        add_subdirectory(backend_qt)
        add_subdirectory(frontend_qt)
    else()
        message(STATUS "Could NOT find Qt5")
    endif()
endif()

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

# staniek: don't install
if(DATA_INSTALL_DIR)
    set(CMAKE_MODULES_INSTALL_PATH ${DATA_INSTALL_DIR}/cmake/modules)
else()
    set(CMAKE_MODULES_INSTALL_PATH ${CMAKE_ROOT}/Modules)
endif()

install(FILES cmake/modules/FindZint.cmake DESTINATION ${CMAKE_MODULES_INSTALL_PATH} COMPONENT Devel)

# This needs to be run very last so other parts of the scripts can take
# advantage of this.
if(NOT ZINT_HAS_BEEN_RUN_BEFORE)
    set(ZINT_HAS_BEEN_RUN_BEFORE 1 CACHE INTERNAL
        "Flag to track whether this is the first time running CMake or if CMake has been configured before")
endif()

=== backend/CMakeLists.txt ===
# Copyright (C) 2008 by BogDan Vatra < bogdan@licentia.eu >
# Copyright (C) 2009-2021 Robin Stuart <rstuart114@gmail.com>
# vim: set ts=4 sw=4 et :

project(zint)

configure_file(zintconfig.h.in ${CMAKE_CURRENT_SOURCE_DIR}/zintconfig.h)

set(zint_COMMON_SRCS common.c library.c large.c reedsol.c gs1.c eci.c general_field.c sjis.c gb2312.c gb18030.c)
set(zint_ONEDIM_SRCS code.c code128.c 2of5.c upcean.c telepen.c medical.c plessey.c rss.c)
set(zint_POSTAL_SRCS postal.c auspost.c imail.c mailmark.c)
set(zint_TWODIM_SRCS code16k.c codablock.c dmatrix.c pdf417.c qr.c maxicode.c composite.c aztec.c code49.c code1.c gridmtx.c hanxin.c dotcode.c ultra.c)
set(zint_OUTPUT_SRCS vector.c ps.c svg.c emf.c bmp.c pcx.c gif.c png.c tif.c raster.c output.c)
set(zint_SRCS ${zint_OUTPUT_SRCS} ${zint_COMMON_SRCS} ${zint_ONEDIM_SRCS} ${zint_POSTAL_SRCS} ${zint_TWODIM_SRCS})

add_library(zint SHARED ${zint_SRCS})

if(ZINT_STATIC)
    add_library(zint-static STATIC ${zint_SRCS})
endif()

function(zint_target_link_libraries library)
    target_link_libraries(zint ${library})
    if(ZINT_STATIC)
        target_link_libraries(zint-static ${library})
    endif()
endfunction()

function(zint_target_compile_definitions scope definition)
    target_compile_definitions(zint ${scope} ${definition})
    if(ZINT_STATIC)
        target_compile_definitions(zint-static ${scope} ${definition})
    endif()
endfunction()

set_target_properties(zint PROPERTIES   SOVERSION "${ZINT_VERSION_MAJOR}.${ZINT_VERSION_MINOR}"
                                        VERSION ${ZINT_VERSION})

if(ZINT_USE_PNG)
    find_package(PNG)
endif()

if(ZINT_USE_PNG AND PNG_FOUND)
    zint_target_link_libraries(PNG::PNG)
else()
    zint_target_compile_definitions(PUBLIC NO_PNG)
endif()

if(ZINT_TEST)
    zint_target_compile_definitions(PUBLIC ZINT_TEST)
endif()

if(NOT MSVC)
    # Link with standard C math library.
    zint_target_link_libraries(m)
endif()

if(MSVC)
    target_compile_definitions(zint PRIVATE DLL_EXPORT)
endif()

install(TARGETS zint ${INSTALL_TARGETS_DEFAULT_ARGS})
if(ZINT_STATIC)
    install(TARGETS zint-static ${INSTALL_TARGETS_DEFAULT_ARGS})
endif()
install(FILES zint.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

if(ZINT_TEST)
    add_subdirectory(tests)
endif()

=== backend_qt/CMakeLists.txt ===
# Copyright (C) 2008 by BogDan Vatra < bogdan@licentia.eu >
# Copyright (C) 2009-2021 Robin Stuart <rstuart114@gmail.com>
# vim: set ts=4 sw=4 et :

project(QZint)

set(${PROJECT_NAME}_SRCS qzint.cpp)

if(USE_QT6)
    qt6_wrap_cpp(QZint_SRCS qzint.h)
else()
    qt5_wrap_cpp(QZint_SRCS qzint.h)
endif()

add_library(${PROJECT_NAME} STATIC ${QZint_SRCS})

set_target_properties(${PROJECT_NAME} PROPERTIES  SOVERSION "${ZINT_VERSION_MAJOR}.${ZINT_VERSION_MINOR}"
                                        VERSION ${ZINT_VERSION})

target_include_directories(${PROJECT_NAME} PUBLIC "${CMAKE_SOURCE_DIR}/backend")

target_link_libraries(${PROJECT_NAME} zint Qt${QT_VERSION_MAJOR}::Widgets Qt${QT_VERSION_MAJOR}::Gui)


install(TARGETS ${PROJECT_NAME} ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES qzint.h DESTINATION ${INCLUDE_INSTALL_DIR} COMPONENT Devel)

=== frontend/CMakeLists.txt ===
# Copyright (C) 2008 by BogDan Vatra < bogdan@licentia.eu >
# Copyright (C) 2009-2021 Robin Stuart <rstuart114@gmail.com>
# vim: set ts=4 sw=4 et :

project(zint_frontend)

set(${PROJECT_NAME}_SRCS main.c)

add_executable(${PROJECT_NAME} ${zint_frontend_SRCS})

if(WIN32)
    target_sources(${PROJECT_NAME} PRIVATE zint.rc)
endif()

target_include_directories(${PROJECT_NAME} PUBLIC "${CMAKE_SOURCE_DIR}/backend")

set_target_properties(${PROJECT_NAME} PROPERTIES OUTPUT_NAME "zint")

target_link_libraries(${PROJECT_NAME} zint)
if(NOT HAVE_GETOPT)
    target_link_libraries(${PROJECT_NAME} zint_bundled_getopt)
endif()

install(TARGETS ${PROJECT_NAME} DESTINATION "${BIN_INSTALL_DIR}" RUNTIME)

if(ZINT_TEST)
    add_subdirectory(tests)
endif()

=== frontend_qt/CMakeLists.txt ===
# Copyright (C) 2008 by BogDan Vatra < bogdan@licentia.eu >
# Copyright (C) 2009-2021 Robin Stuart <rstuart114@gmail.com>
# vim: set ts=4 sw=4 et :

project(zint-qt)

set(CMAKE_AUTORCC ON)

set(${PROJECT_NAME}_SRCS barcodeitem.cpp main.cpp mainwindow.cpp datawindow.cpp sequencewindow.cpp exportwindow.cpp)

if(USE_QT6)
    qt6_wrap_cpp(zint-qt_SRCS mainwindow.h datawindow.h sequencewindow.h exportwindow.h)
    qt6_wrap_ui(zint-qt_SRCS mainWindow.ui extData.ui extSequence.ui extExport.ui)
else()
    qt5_wrap_cpp(zint-qt_SRCS mainwindow.h datawindow.h sequencewindow.h exportwindow.h)
    qt5_wrap_ui(zint-qt_SRCS mainWindow.ui extData.ui extSequence.ui extExport.ui)
endif()

#               grpAztec.ui  grpC39.ui         grpCodeOne.ui   grpGrid.ui      grpMQR.ui       grpUltra.ui
#               grpC11.ui    grpC49.ui         grpDAFT.ui      grpHX.ui        grpMSICheck.ui  grpUPCA.ui
#               grpC128.ui   grpChannel.ui     grpDBExtend.ui  grpLOGMARS.ui   grpPDF417.ui    grpUPCEAN.ui
#               grpC16k.ui   grpCodabar.ui     grpDM.ui        grpMaxicode.ui  grpQR.ui        grpVIN.ui
#               grpC25.ui    grpCodablockF.ui  grpDotCode.ui   grpMicroPDF.ui  grpRMQR.ui

add_executable(${PROJECT_NAME} ${zint-qt_SRCS} resources.qrc)

if(WIN32)
    target_sources(${PROJECT_NAME} PRIVATE res/qtZint.rc)
endif()

target_include_directories(${PROJECT_NAME} PUBLIC "${CMAKE_SOURCE_DIR}/backend" "${CMAKE_SOURCE_DIR}/backend_qt")

target_link_libraries(${PROJECT_NAME} zint QZint Qt${QT_VERSION_MAJOR}::UiTools Qt${QT_VERSION_MAJOR}::Xml Qt${QT_VERSION_MAJOR}::Gui Qt${QT_VERSION_MAJOR}::Core)


install(TARGETS ${PROJECT_NAME} DESTINATION "${BIN_INSTALL_DIR}" RUNTIME)

=== backend/tests/CMakeLists.txt ===
# Copyright (C) 2009-2021 Robin Stuart <rstuart114@gmail.com>
# Adapted from qrencode/tests/CMakeLists.txt
# Copyright (C) 2006-2017 Kentaro Fukuchi <kentaro@fukuchi.org>
# vim: set ts=4 sw=4 et :

cmake_minimum_required(VERSION 3.5)
project(zint_backend_tests)

enable_testing()

include(${zint-package_SOURCE_DIR}/cmake/zint_add_test.cmake)

set(BWIPP_TAR ${CMAKE_CURRENT_SOURCE_DIR}/tools/bwipp_dump.ps.tar.xz)
set(BWIPP_PS ${CMAKE_CURRENT_BINARY_DIR}/tools/bwipp_dump.ps)

if(NOT EXISTS ${BWIPP_PS})
    file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/tools)
    execute_process(COMMAND ${CMAKE_COMMAND} -E tar -xf ${BWIPP_TAR}
                    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/tools)
endif()

set(testcommon_SRCS testcommon.c testcommon.h)

add_library(testcommon ${testcommon_SRCS})
target_link_libraries(testcommon zint)
target_include_directories(testcommon PUBLIC ${zint_backend_tests_SOURCE_DIR})
if(NOT HAVE_GETOPT)
    target_link_libraries(testcommon zint_bundled_getopt)
endif()

if(ZINT_STATIC)
    add_library(testcommon-static ${testcommon_SRCS})
    target_link_libraries(testcommon-static zint-static)
    target_include_directories(testcommon-static PUBLIC ${zint_backend_tests_SOURCE_DIR})
    if(NOT HAVE_GETOPT)
        target_link_libraries(testcommon-static zint_bundled_getopt)
    endif()
endif()

zint_add_test(2of5 test_2of5)
zint_add_test(auspost test_auspost)
zint_add_test(aztec test_aztec)
zint_add_test(big5 test_big5)
zint_add_test(bmp test_bmp)
zint_add_test(channel test_channel)
zint_add_test(codablock test_codablock)
zint_add_test(code test_code)
zint_add_test(code1 test_code1)
zint_add_test(code128 test_code128)
zint_add_test(code16k test_code16k)
zint_add_test(code49 test_code49)
zint_add_test(common test_common)
zint_add_test(composite test_composite)
zint_add_test(dmatrix test_dmatrix)
zint_add_test(dotcode test_dotcode)
zint_add_test(eci test_eci)
zint_add_test(emf test_emf)
zint_add_test(gb18030 test_gb18030)
zint_add_test(gb2312 test_gb2312)
zint_add_test(gif test_gif)
zint_add_test(gridmtx test_gridmtx)
zint_add_test(gs1 test_gs1)
zint_add_test(hanxin test_hanxin)
zint_add_test(imail test_imail)
zint_add_test(iso3166 test_iso3166)
zint_add_test(iso4217 test_iso4217)
zint_add_test(ksx1001 test_ksx1001)
zint_add_test(large test_large)
zint_add_test(library test_library)
zint_add_test(mailmark test_mailmark)
zint_add_test(maxicode test_maxicode)
zint_add_test(medical test_medical)
zint_add_test(pcx test_pcx)
zint_add_test(pdf417 test_pdf417)
zint_add_test(plessey test_plessey)
if(ZINT_USE_PNG AND PNG_FOUND)
zint_add_test(png test_png)
endif()
zint_add_test(postal test_postal)
zint_add_test(print test_print)
zint_add_test(ps test_ps)
zint_add_test(qr test_qr)
zint_add_test(raster test_raster)
zint_add_test(reedsol test_reedsol)
zint_add_test(rss test_rss)
zint_add_test(sjis test_sjis)
zint_add_test(svg test_svg)
zint_add_test(telepen test_telepen)
zint_add_test(tif test_tif)
zint_add_test(ultra test_ultra)
zint_add_test(upcean test_upcean)
zint_add_test(vector test_vector)

=== debian/changelog ===
zint (2.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.6.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 01 Sep 2021 05:09:49 +1000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
     ,libpng-dev
     ,qtbase5-dev
     ,qttools5-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/zint
 Vcs-Git: https://salsa.debian.org/debian/zint.git
 Homepage: https://sourceforge.net/projects/zint/
@@ -73,7 +73,7 @@
  This package contains Zint Barcode Studio, a QT frontend for the Zint
  barcode encoding library.
 
-Package: libzint2.9
+Package: libzint2.10
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -106,7 +106,7 @@
 Package: libzint-dev
 Section: libdevel
 Architecture: any
-Depends: libzint2.9 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libzint2.10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: Zint development files
  Zint is a barcode encoding and image generating library. It currently
